<?xml version="1.0" encoding="UTF-8"?>
<schemalist>
  <schema path="/org/fedorahosted/eekboard/" id="org.fedorahosted.eekboard">
    <key type="as" name="keyboards">
      <default>['us']</default>
      <summary>Keyboard types</summary>
      <description>keyboard types.</description>
    </key>
    <key type="s" name="focus-listener">
      <default>'atspi'</default>
      <summary>Use the given focus listener</summary>
      <description>The name of the focus listener (either 'atspi' or 'ibus') used to detect focus events.</description>
    </key>
    <key type="b" name="auto-hide">
      <default>true</default>
      <summary>Hide keyboard automatically when focus is out</summary>
      <description>If true, hide keyboard automatically when focus is out.</description>
    </key>
    <key type="u" name="auto-hide-delay">
      <default>500</default>
      <summary>Delay before hiding keyboard</summary>
      <description>Delay before hiding keyboard in milliseconds.  This is useful when focus listener is enabled.</description>
    </key>
    <key type="b" name="repeat">
      <default>true</default>
      <summary>Key repeat</summary>
      <description>Generate key-press/release event repeatedly while a key is held down</description>
    </key>
    <key type="u" name="repeat-interval">
      <default>100</default>
      <summary>Key repeat interval</summary>
      <description>Delay between repeats in milliseconds.</description>
    </key>
    <key type="u" name="repeat-delay">
      <default>1000</default>
      <summary>Initial key repeat delay</summary>
      <description>Initial key repeat delay in milliseconds.</description>
    </key>
    <key type="b" name="start-fullscreen">
      <default>false</default>
      <summary>Switch to fullscreen mode when startup</summary>
      <description>If true, switch to fullscreen mode when startup.</description>
    </key>
    <key type="(dd)" name="size-constraint-landscape">
      <default>(1.0, 0.3)</default>
      <summary>Constraint of the maximum window size on landscape screen</summary>
      <description>Constraint of maximum window size on landscape screen</description>
    </key>
    <key type="(dd)" name="size-constraint-portrait">
      <default>(1.0, 0.5)</default>
      <summary>Constraint of the maximum window size on portrait screen</summary>
      <description>Constraint of maximum window size on portrait screen</description>
    </key>
    <key type="s" name="theme">
      <default>'default'</default>
      <summary>Theme</summary>
      <description>Base name of the theme to apply.</description>
    </key>
  </schema>
</schemalist>